import request from '@/utils/request'

// 查询股权冻结信息列表
export function listFreeze(query) {
  return request({
    url: '/basicData/xcrEquityFreeze/findByPage',
    method: 'get',
    params: query
  })
}

// 查询股权冻结信息详细
export function getFreeze(xhCodeId) {
  return request({
    url: '/basicData/xcrEquityFreeze/' + xhCodeId,
    method: 'get'
  })
}

// 新增股权冻结信息
export function addFreeze(data) {
  return request({
    url: '/basicData/xcrEquityFreeze',
    method: 'post',
    data: data
  })
}

// 修改股权冻结信息
export function updateFreeze(data) {
  return request({
    url: '/basicData/xcrEquityFreeze',
    method: 'put',
    data: data
  })
}

// 删除股权冻结信息
export function delFreeze(xhCodeId) {
  return request({
    url: '/basicData/xcrEquityFreeze/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delFreezeBatch(ids) {
  return request.post('/basicData/xcrEquityFreeze/delete',ids)
}
